Deleter (Oracle - Berkeley DB Java Edition API)
Date: 2014-12-16

com.sleepycat.persist.evolve

## Class Deleter

- java.lang.Object
- - com.sleepycat.persist.evolve.Mutation
  - - com.sleepycat.persist.evolve.Deleter

- All Implemented Interfaces:
    Serializable

      public class Deleter
      extends Mutation

  A mutation for deleting an entity class or field.

  WARNING: The data for the deleted class or field will be destroyed and will be recoverable only by restoring from backup. If you wish to convert the instance data to a different type or format, use a `Conversion` mutation instead.

  For example, to delete a field:

        package my.package;

        // The old class.  Version 0 is implied.
        //
        @Entity
        class Person {
            String name;
            String favoriteColors;
        }

        // The new class.  A new version number must be assigned.
        //
        @Entity(version=1)
        class Person {
            String name;
        }

        // Add the mutation for deleting a field.
        //
        Mutations mutations = new Mutations();

        mutations.addDeleter(new Deleter(Person.class.getName(), 0,
                                         "favoriteColors");

        // Configure the mutations as described here.

  To delete an entity class:

        package my.package;

        // The old class.  Version 0 is implied.
        //
        @Entity
        class Statistics {
            ...
        }

        // Add the mutation for deleting a class.
        //
        Mutations mutations = new Mutations();

        mutations.addDeleter(new Deleter("my.package.Statistics", 0));

        // Configure the mutations as described here.

  Author:
    Mark Hayes
  See Also:
    `Class Evolution`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Deleter(String className, int classVersion)` Creates a mutation for deleting an entity class.
    `Deleter(String declaringClass, int declaringClassVersion, String fieldName)` Creates a mutation for deleting the given field from all instances of the given class version.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`

    - ### Methods inherited from class com.sleepycat.persist.evolve.Mutation

      `equals, getClassName, getClassVersion, getFieldName, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Deleter

          public Deleter(String className,
                 int classVersion)

      Creates a mutation for deleting an entity class.

    - #### Deleter

          public Deleter(String declaringClass,
                 int declaringClassVersion,
                 String fieldName)

      Creates a mutation for deleting the given field from all instances of the given class version.

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Mutation`

Copyright (c) 2004, 2014 Oracle and/or its affiliates. All rights reserved.